<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    tools:ignore="MissingDefaultResource">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_rewards.ui.MyRewardsActivity.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg_f4"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="我的奖励" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_rewards_white_bottom_15conner_bg"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/d_15dp"
            android:paddingTop="@dimen/d_8dp"
            android:paddingRight="@dimen/d_15dp"
            android:paddingBottom="@dimen/d_8dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_tab_active"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/shape_round_blue"
                android:gravity="center"
                android:paddingTop="@dimen/d_8dp"
                android:paddingBottom="@dimen/d_8dp"
                android:text="可用的"
                android:onClick="@{()->click.changeViewPager(0)}"
                android:textColor="@color/white"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_tab_refund"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_9dp"
                android:layout_weight="1"
                android:background="@drawable/shape_round_white"
                android:gravity="center"
                android:paddingTop="@dimen/d_8dp"
                android:paddingBottom="@dimen/d_8dp"
                android:visibility="gone"
                android:text="Refund"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_tab_expired"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_9dp"
                android:layout_weight="1"
                android:background="@drawable/shape_round_white"
                android:gravity="center"
                android:paddingTop="@dimen/d_8dp"
                android:paddingBottom="@dimen/d_8dp"
                android:onClick="@{()->click.changeViewPager(1)}"
                android:text="过期"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_tab_used"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_9dp"
                android:layout_weight="1"
                android:background="@drawable/shape_round_white"
                android:gravity="center"
                android:paddingTop="@dimen/d_8dp"
                android:paddingBottom="@dimen/d_8dp"
                android:onClick="@{()->click.changeViewPager(2)}"
                android:text="已使用"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@color/page_bg_f4" />

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/view_pager_my_rewards"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </LinearLayout>

</layout>